/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Base, markType } from "./type";
/**
 * @hidden
 */
var PathMarkupParser_PathMarkupToken = /** @class */ (function (_super) {
    __extends(PathMarkupParser_PathMarkupToken, _super);
    function PathMarkupParser_PathMarkupToken(a, b) {
        var _this = _super.call(this) || this;
        _this.c = 0;
        _this.a = false;
        _this.b = 0;
        _this.c = a;
        _this.a = b;
        return _this;
    }
    PathMarkupParser_PathMarkupToken.$t = markType(PathMarkupParser_PathMarkupToken, 'PathMarkupParser_PathMarkupToken');
    return PathMarkupParser_PathMarkupToken;
}(Base));
export { PathMarkupParser_PathMarkupToken };
